moeoEasyEA(3)

NAME
moeoEasyEA - An easy class to design multi-objective evolutionary algorithms.

SYNOPSIS

#include <moeoEasyEA.h>

Inherits moeoEA< MOEOT >< MOEOT >.

  Public Member Functions
moeoEasyEA (eoContinue< MOEOT > &_continuator, eoEvalFunc< MOEOT > &_eval, eoBreed< MOEOT > &_breed, eoReplacement< MOEOT > &_replace, moeoFitnessAssignment< MOEOT > &_fitnessEval, moeoDiversityAssignment< MOEOT > &_diversityEval, bool _evalFitAndDivBeforeSelection=false)
Ctor.
virtual void operator() (eoPop< MOEOT > &_pop)
Applies a few generation of evolution to the population _pop.

  Protected Attributes
eoContinue< MOEOT > & continuator
the stopping criteria
eoEvalFunc< MOEOT > & eval
the evaluation functions
eoPopLoopEval< MOEOT > loopEval
to evaluate the whole population
eoPopEvalFunc< MOEOT > & popEval
to evaluate the whole population
eoBreed< MOEOT > & breed
the breeder
eoReplacement< MOEOT > & replace
the replacment strategy
moeoFitnessAssignment< MOEOT > & fitnessEval
the fitness assignment strategy
moeoDiversityAssignment< MOEOT > & diversityEval
the diversity assignment strategy
bool evalFitAndDivBeforeSelection
if this parameter is set to 'true', the fitness and the diversity of the whole population will be re-evaluated before the selection process

Detailed Description

  template<class MOEOT> class moeoEasyEA< MOEOT >
An easy class to design multi-objective evolutionary algorithms.

Definition at line 31 of file moeoEasyEA.h.

Constructor & Destructor Documentation

  template<class MOEOT> moeoEasyEA< MOEOT >::moeoEasyEA (eoContinue< MOEOT > & _continuator, eoEvalFunc< MOEOT > & _eval, eoBreed< MOEOT > & _breed, eoReplacement< MOEOT > & _replace, moeoFitnessAssignment< MOEOT > & _fitnessEval, moeoDiversityAssignment< MOEOT > & _diversityEval, bool _evalFitAndDivBeforeSelection = false) [inline]

Ctor.

Parameters:
    _continuator the stopping criteria
    _eval the evaluation functions
    _breed the breeder
    _replace the replacment strategy
    _fitnessEval the fitness evaluation scheme
    _diversityEval the diversity evaluation scheme
    _evalFitAndDivBeforeSelection put this parameter to 'true' if you want to re-evalue the fitness and the diversity of the population before the selection process

Definition at line 45 of file moeoEasyEA.h.

Member Function Documentation

  template<class MOEOT> virtual void moeoEasyEA< MOEOT >::operator() (eoPop< MOEOT > & _pop) [inline, virtual]

Applies a few generation of evolution to the population _pop.

Parameters:
    _pop the population

Implements eoUF< eoPop< MOEOT > &, void >.

Definition at line 57 of file moeoEasyEA.h.

References moeoEasyEA< MOEOT >::breed, moeoEasyEA< MOEOT >::continuator, moeoEasyEA< MOEOT >::diversityEval, moeoEasyEA< MOEOT >::evalFitAndDivBeforeSelection, moeoEasyEA< MOEOT >::fitnessEval, moeoEasyEA< MOEOT >::popEval, and moeoEasyEA< MOEOT >::replace.

Author

Generated automatically by Doxygen for ParadisEO-MOEO from the source code.